Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

gradle templates are not taking platform version into account #4742

Closed
maxandersen opened this issue Oct 22, 2019 · 0 comments · Fixed by #4769
Closed

gradle templates are not taking platform version into account #4742

maxandersen opened this issue Oct 22, 2019 · 0 comments · Fixed by #4769
Assignees
Milestone

Comments

@maxandersen
Copy link
Contributor

@maxandersen maxandersen commented Oct 22, 2019

Describe the bug
with the new PR for extracting devtools and introduce platforms the gradle projects are still referring to quarkus bom and quarkus versions for its dependencies.

Expected behavior
use platform bom and version in gradle.

To Reproduce
run mvn io.quarkus:quarkus-maven-plugin:999-SNAPSHOT:create -DprojectGroupId=org.acme -DprojectArtifactId=application-configuratxio4 -DclassName="org.acme.config.GreetingResource" -Dpath="/greeting" -DplatformArtifactId=quarkus-universe-bomx -DplatformVersion=9x99-SNAPSHOT -DbuildTool=gradle

and notice neither platformArtifactId or platformVersion is referenced anywhere.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
2 participants
You can’t perform that action at this time.